> For the complete documentation index, see [llms.txt](https://docs.zerodao.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zerodao.com/dao/zbtc.md).

# ZBTC

All wrapped assets minted by ZERO on a given EVM network derive from ZAsset. A ZAsset is derived from ERC20Permit and supports the additional APIs

```javascript
function mint(address to, bytes32 pHash, bytes32 nHash, uint256 amount, bytes memory signature) public;
```

This function is called by keepers when the \`to\` address is an EOA wallet. Otherwise, it can be submitted once the signature is produced on the ZERO network by the FROST ring, along with the other parameters.

```javascript
function burn(uint256 amount, bytes memory blsPubKey, bytes memory data) public;
```

This function can be called to burn the wrapped asset to the ZERO network, where the identity represented by the supplied BLS public key is credited to the balance after fees.

The ZERO network has an equivalent concept of "precompiled contract" addresses which can be supplied in place of \`blsPubKey\`. When an address reserved for this purpose is used, there is meaning to the \`data\` parameter, which acts as an arbitrary bytestring input to the given special function. The purpose of these reserved addresses is to permit behaviors such as a burn which directly results in the release of an asset to its native blockchain. Reserved addresses are upgradeable as the ZERO network evolves and can handle any possible behavior needed as the ecosystem of all bridged blockchain systems change and adapt.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zerodao.com/dao/zbtc.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
